API reference
All operations
NOTE

Adds a new note.

POST/api/v2/notes

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/jsonrequired

The details of the note to add.

CreateNoteRequest
  • noteTypestring
  • companyIdinteger · int32
  • taskIdinteger · int32nullable
  • recordIdinteger · int32
  • recordTypestring
  • typeIdinteger · int32required
  • noteDatestring · daterequired
  • commentsstringrequired
  • contactsinteger[]
  • notePurposesinteger[]
  • noteResultsinteger[]

Responses

Note added successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataNoteDto
  • noteIdinteger · int32
  • companyIdinteger · int32
  • companyNamestringnullable
  • noteTypestring
  • recordIdinteger · int32
  • recordTypestring
  • relatedTostring
  • ownerstring
  • userIdinteger · int32
  • typeIdinteger · int32
  • noteDatestring · date
  • commentsstring
  • enterBystring
  • lastModifiedBystring
  • lastModifiedstring · date-timenullable
  • enteredstring · date-timenullable
  • deletedboolean
  • contactsinteger[]
  • notePurposesinteger[]
  • noteResultsinteger[]
  • notePurposeDisplaysstring[]
  • noteResultDisplaysstring[]
  • noteContactDisplaysstring[]